Package com.google.android.exoplayer2.mediacodec

## Class MediaCodecAdapter.Configuration

- java.lang.Object
- - com.google.android.exoplayer2.mediacodec.MediaCodecAdapter.Configuration

- Enclosing interface:
    MediaCodecAdapter

      public static final class MediaCodecAdapter.Configuration
      extends Object

  Configuration parameters for a `MediaCodecAdapter`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `MediaCodecInfo` | `codecInfo` | Information about the `MediaCodec` being configured.
    `MediaCrypto` | `crypto` | For DRM protected playbacks, a `MediaCrypto` to use for decryption.
    `int` | `flags` | Specify CONFIGURE_FLAG_ENCODE to configure the component as an encoder.
    `Format` | `format` | The `Format` for which the codec is being configured.
    `MediaFormat` | `mediaFormat` | The `MediaFormat` for which the codec is being configured.
    `Surface` | `surface` | For video playbacks, the output where the object will render the decoded frames.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Configuration​(MediaCodecInfo codecInfo, MediaFormat mediaFormat, Format format, Surface surface, MediaCrypto crypto, int flags)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codecInfo

          public final MediaCodecInfo codecInfo

      Information about the `MediaCodec` being configured.

    - #### mediaFormat

          public final MediaFormat mediaFormat

      The `MediaFormat` for which the codec is being configured.

    - #### format

          public final Format format

      The `Format` for which the codec is being configured.

    - #### surface

          @Nullable
          public final Surface surface

      For video playbacks, the output where the object will render the decoded frames.

    - #### crypto

          @Nullable
          public final MediaCrypto crypto

      For DRM protected playbacks, a `MediaCrypto` to use for decryption.

    - #### flags

          public final int flags

      Specify CONFIGURE_FLAG_ENCODE to configure the component as an encoder.
      See Also:
        `MediaCodec.configure(android.media.MediaFormat, android.view.Surface, android.media.MediaCrypto, int)`

  - ### Constructor Detail

    - #### Configuration

          public Configuration​(MediaCodecInfo codecInfo,
                               MediaFormat mediaFormat,
                               Format format,
                               @Nullable
                               Surface surface,
                               @Nullable
                               MediaCrypto crypto,
                               int flags)